XmlAttribute (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.xmlDefinition.XmlAttribute,XmlAttribute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlAttribute

    java.lang.Object
      |
      +--org.apache.struts.tiles.xmlDefinition.XmlAttribute

Direct Known Subclasses:
  XmlListAttribute

public class XmlAttribute
extends java.lang.Object

A property key-value pair. This class is used to read configuration files.

Field Summary
`private java.lang.String` | `direct` Attribute value.
`private java.lang.String` | `name` Attribute name or key.
`private java.lang.Object` | `realValue` Real attribute value.
`private java.lang.String` | `role` Attribute value.
`private java.lang.Object` | `value` Attribute value.
`private java.lang.String` | `valueType` Attribute value.

Constructor Summary
`XmlAttribute()` Constructor.
`XmlAttribute(java.lang.String name, java.lang.Object value)` Constructor.

Method Summary
`protected java.lang.Object` | `computeRealValue()` Compute real value from attributes setting.
`java.lang.String` | `getAttribute()` Another access method for the name property.
`java.lang.String` | `getName()` Access method for the name property.
`java.lang.String` | `getRole()` Access method for the name property.
`java.lang.Object` | `getValue()` Access method for the value property.
`void` | `setAttribute(java.lang.String aName)` Sets the value of the name property.
`void` | `setBody(java.lang.String body)` Sets the value of the value property.
`void` | `setContent(java.lang.Object aValue)` Sets the value of the value property.
`void` | `setDirect(java.lang.String value)` Sets the value of the value property.
`void` | `setName(java.lang.String aName)`
`void` | `setRole(java.lang.String role)`
`void` | `setType(java.lang.String value)` Sets the value of the value property.
`void` | `setValue(java.lang.Object aValue)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

  Attribute name or key.

### value

    private java.lang.Object value

  Attribute value. Value read from description file.

### direct

    private java.lang.String direct

  Attribute value.

### valueType

    private java.lang.String valueType

  Attribute value.

### role

    private java.lang.String role

  Attribute value.

### realValue

    private java.lang.Object realValue

  Real attribute value. Real value is the value after processing of valueType. I.e. if a type is defined, realValue contains wrapper for this type.

Constructor Detail

### XmlAttribute

    public XmlAttribute()

  Constructor.

### XmlAttribute

    public XmlAttribute(java.lang.String name,
                        java.lang.Object value)

  Constructor.

Method Detail

### getName

    public java.lang.String getName()

  Access method for the name property.

  Returns:
    the current value of the name property

### setRole

    public void setRole(java.lang.String role)

  Returns:
    void Sets the value of the name property.

### getRole

    public java.lang.String getRole()

  Access method for the name property.

  Returns:
    the current value of the name property

### setName

    public void setName(java.lang.String aName)

  Parameters:
    `aName` - the new value of the name property
  Returns:
    void Sets the value of the name property.

### getAttribute

    public java.lang.String getAttribute()

  Another access method for the name property.

  Returns:
    the current value of the name property

### setAttribute

    public void setAttribute(java.lang.String aName)

  Sets the value of the name property.

  Parameters:
    `aName` - the new value of the name property

### getValue

    public java.lang.Object getValue()

  Access method for the value property. Return the value or a QualifiedAttribute containing the value if 'direct' is set.

  Returns:
    the current value of the value property

### setValue

    public void setValue(java.lang.Object aValue)

  Sets the value of the value property.

  Parameters:
    `aValue` - the new value of the value property

### setContent

    public void setContent(java.lang.Object aValue)

  Sets the value of the value property.

  Parameters:
    `aValue` - the new value of the value property

### setBody

    public void setBody(java.lang.String body)

  Sets the value of the value property.

### setDirect

    public void setDirect(java.lang.String value)

  Sets the value of the value property.

### setType

    public void setType(java.lang.String value)

  Sets the value of the value property.

### computeRealValue

    protected java.lang.Object computeRealValue()

  Compute real value from attributes setting.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation